> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Task Group Run

> Retrieves run status by run_id.This endpiont is equivalent to fetching run status directly using the`retrieve()` method or the `tasks/runs` GET endpoint.The run result is available from the `/result` endpoint.



## OpenAPI

````yaml openapi/parallel.ai.json GET /apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}
openapi: 3.1.0
info:
  description: ''
  title: Parallel.ai
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/parallel/chat/completions
    - /apis/v1/parallel/extract
    - /apis/v1/parallel/findall/ingest
    - /apis/v1/parallel/findall/runs/{findall_id}
    - /apis/v1/parallel/findall/runs/{findall_id}/cancel
    - /apis/v1/parallel/findall/runs/{findall_id}/events
    - /apis/v1/parallel/findall/runs/{findall_id}/result
    - /apis/v1/parallel/findall/runs/{findall_id}/schema
    - /apis/v1/parallel/monitors/{monitor_id}
    - /apis/v1/parallel/monitors/{monitor_id}/cancel
    - /apis/v1/parallel/monitors/{monitor_id}/events
    - /apis/v1/parallel/monitors/{monitor_id}/update
    - /apis/v1/parallel/tasks/groups
    - /apis/v1/parallel/tasks/groups/{taskgroup_id}
    - /apis/v1/parallel/tasks/groups/{taskgroup_id}/events
    - /apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}
    - /apis/v1/parallel/tasks/runs/{run_id}
    - /apis/v1/parallel/tasks/runs/{run_id}/events
    - /apis/v1/parallel/tasks/runs/{run_id}/input
    - /apis/v1/parallel/tasks/runs/{run_id}/result
    - /apis/v1/parallel/v1beta/tasks/runs/{run_id}/events
  x-aisa-document:
    facts_hash: 7d3bf2025708131927d3136de215ba314114253046b35f239876910b2481cbd9
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:dae9e982424f710c06d9af023168dd26ed96bf5e5b5232e0728c01867d2da7dc
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: parallel.ai
  x-aisa-catalogs:
    parallel.ai:
      title: Parallel.ai
      description: ''
      x-aisa-document:
        facts_hash: 7d3bf2025708131927d3136de215ba314114253046b35f239876910b2481cbd9
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}:
    get:
      tags:
        - default
      summary: Retrieve Task Group Run
      description: >-
        Retrieves run status by run_id.This endpiont is equivalent to fetching
        run status directly using the`retrieve()` method or the `tasks/runs` GET
        endpoint.The run result is available from the `/result` endpoint.
      operationId: any_parallel_ai_apis_v1_parallel_tasks_groups_tas_f86107
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
        - name: taskgroup_id
          in: path
          required: true
          schema:
            type: string
            title: Taskgroup Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseB67C75A8Feba_TaskRun'
              example:
                run_id: trun_9907962f83aa4d9d98fd7f4bf745d654
                interaction_id: trun_9907962f83aa4d9d98fd7f4bf745d654
                status: running
                is_active: true
                processor: core
                metadata:
                  my_key: my_value
                created_at: '2025-04-23T20:21:48.037943Z'
                modified_at: '2025-04-23T20:21:48.037943Z'
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    ResponseB67C75A8Feba_TaskRun:
      properties:
        run_id:
          type: string
          title: Run ID
          description: ID of the task run.
          examples:
            - trun_e0083b6aac0544eb8686e8d2a76533d2
        interaction_id:
          type: string
          title: Interaction ID
          description: >-
            Identifier for this interaction. Pass this value as
            `previous_interaction_id` to reuse context for a future request.
          examples:
            - trun_e0083b6aac0544eb8686e8d2a76533d2
        status:
          type: string
          enum:
            - queued
            - action_required
            - running
            - completed
            - failed
            - cancelling
            - cancelled
          title: Status
          description: Status of the run.
          examples:
            - queued
            - action_required
            - running
            - completed
            - failed
            - cancelling
            - cancelled
        is_active:
          type: boolean
          title: Is Active
          description: >-
            Whether the run is currently active, i.e. status is one of
            {'cancelling', 'queued', 'running'}.
        warnings:
          anyOf:
            - items:
                $ref: '#/components/schemas/ResponseB67C75A8Feba_Warning'
              type: array
            - type: 'null'
          title: Warnings
          description: Warnings for the run, if any.
          examples:
            - []
        error:
          anyOf:
            - $ref: '#/components/schemas/ResponseB67C75A8Feba_Error'
            - type: 'null'
          description: Error for the run, present only if status is 'failed'.
        processor:
          type: string
          title: Processor
          description: Processor used for the run.
          examples:
            - base
        metadata:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: integer
                  - type: number
                  - type: boolean
              type: object
            - type: 'null'
          title: Metadata
          description: User-provided metadata stored with the run.
          examples:
            - {}
        taskgroup_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Taskgroup ID
          description: ID of the taskgroup to which the run belongs.
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
          description: Timestamp of the creation of the task, as an RFC 3339 string.
          examples:
            - '2025-04-24T18:56:22.513132Z'
        modified_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Modified At
          description: >-
            Timestamp of the last modification to the task, as an RFC 3339
            string.
          examples:
            - '2025-04-24T18:56:22.513132Z'
      type: object
      required:
        - run_id
        - interaction_id
        - status
        - is_active
        - processor
        - created_at
        - modified_at
      title: TaskRun
      description: Status of a task run.
    ResponseB67C75A8Feba_Warning:
      properties:
        type:
          type: string
          enum:
            - spec_validation_warning
            - input_validation_warning
            - warning
          title: Type
          description: >-
            Type of warning. Note that adding new warning types is considered a
            backward-compatible change.
          examples:
            - spec_validation_warning
            - input_validation_warning
        message:
          type: string
          title: Message
          description: Human-readable message.
        detail:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Detail
          description: Optional detail supporting the warning.
      type: object
      required:
        - type
        - message
      title: Warning
      description: Human-readable message for a task.
    ResponseB67C75A8Feba_Error:
      properties:
        ref_id:
          type: string
          title: Reference ID
          description: Reference ID for the error.
        message:
          type: string
          title: Message
          description: Human-readable message.
        detail:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Detail
          description: Optional detail supporting the error.
      type: object
      required:
        - ref_id
        - message
      title: Error
      description: An error message.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.